## com.fasterxml.jackson.databind.ser.std
Class EnumSerializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Enum<?>>
                  com.fasterxml.jackson.databind.ser.std.EnumSerializer

All Implemented Interfaces:
  SchemaAware

    public class EnumSerializer

extends StdScalarSerializer<Enum<?>>

Standard serializer used for `Enum` types.

Based on `StdScalarSerializer` since the JSON value is scalar (String).

Author:
  tatu

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary
`protected EnumValues` `_values` This map contains pre-resolved values (since there are ways to customize actual String constants to use) to use as serializations.

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`EnumSerializer(EnumValues v)`

Method Summary
`static EnumSerializer` `construct(Class<Enum<?>> enumClass, SerializationConfig config, BeanDescription beanDesc)`
`EnumValues` `getEnumValues()`
`JsonNode` `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
`void` `serialize(Enum<?> en, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer
`serializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`isEmpty, isUnwrappingSerializer, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _values

    protected final EnumValues _values

  This map contains pre-resolved values (since there are ways to customize actual String constants to use) to use as serializations.

Constructor Detail

### EnumSerializer

    public EnumSerializer(EnumValues v)

Method Detail

### construct

    public static EnumSerializer construct(Class<Enum<?>> enumClass,
                                           SerializationConfig config,
                                           BeanDescription beanDesc)

### serialize

    public final void serialize(Enum<?> en,
                                com.fasterxml.jackson.core.JsonGenerator jgen,
                                SerializerProvider provider)
                         throws IOException,
                                com.fasterxml.jackson.core.JsonGenerationException

  Description copied from class: `JsonSerializer`
  Method that can be called to ask implementation to serialize values of type this serializer handles.

  Specified by:
    `serialize` in class `StdSerializer<Enum<?>>`
  Parameters:
    `en` - Value to serialize; can not be null.
    `jgen` - Generator used to output resulting Json content
    `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonGenerationException`

### getSchema

    public JsonNode getSchema(SerializerProvider provider,
                              Type typeHint)

  Description copied from class: `StdSerializer`
  Default implementation simply claims type is "string"; usually overriden by custom serializers.

  Specified by:
    `getSchema` in interface `SchemaAware`
  Overrides:
    `getSchema` in class `StdScalarSerializer<Enum<?>>`
  Parameters:
    `provider` - The serializer provider.
    `typeHint` - A hint about the type.
  Returns:
    Json-schema for this serializer.

### getEnumValues

    public EnumValues getEnumValues()

Copyright © 2012 fasterxml.com. All Rights Reserved.